Name:		pdfresurrect
Version:	0.12
Release:	1
Summary:	PDF Analysis and Scrubbing Utility
Group:		Applications/Productivity
License:	GPLv3+
URL:		http://www.757labs.org/projects/pdfresurrect/
Source0:	http://www.757labs.org/projects/pdfresurrect/releases/%{name}-v0_12.tar.bz2
Patch0:		%{name}-%{version}-aix.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root

%description
PDFResurrect is a tool aimed at analyzing PDF documents. The PDF format
allows for previous document changes to be retained in a more recent
version of the document, thereby creating a running history of changes
for the document. This tool attempts to extract all previous versions
while also producing a summary of changes between versions. This tool
can also "scrub" or write data over the original instances of PDF objects
that have been modified or deleted, in an effort to disguise information
from previous versions that might not be intended for anyone else to read.


%prep
%setup -q -n %{name}-v0_12
%patch0


%build
./configure \
    --prefix=%{_prefix}

make %{?_smp_mflags}


%install
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}

mkdir -p ${RPM_BUILD_ROOT}%{_bindir}
cp %{name} ${RPM_BUILD_ROOT}%{_bindir}/
chmod 0755 ${RPM_BUILD_ROOT}%{_bindir}/*
/usr/bin/strip ${RPM_BUILD_ROOT}%{_bindir}/*

mkdir -p ${RPM_BUILD_ROOT}%{_mandir}/man1
cp %{name}.1 ${RPM_BUILD_ROOT}%{_mandir}/man1/
chmod 0644 ${RPM_BUILD_ROOT}%{_mandir}/man1/*

cd ${RPM_BUILD_ROOT}
mkdir -p usr/bin
cd usr/bin
ln -sf ../..%{_bindir}/* .


%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}


%files
%doc AUTHORS README LICENSE
%{_bindir}/*
%{_mandir}/man1/*
/usr/bin/*


%changelog
* Tue Jul 30 2013 Michael Perzl <michael@perzl.org> - 0.12-1
- first version for AIX V5.1 and higher
